Bug 24165 - max open files für größere Umgebungen zu gering
max open files für größere Umgebungen zu gering
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 2.4
Other Linux
: P5 normal (vote)
: UCS 3.0-1
Assigned To: Arvid Requate
Felix Botner
:
Depends on:
Blocks: 32327
  Show dependency treegraph
 
Reported: 2011-10-24 11:01 CEST by Janis Meybohm
Modified: 2013-08-23 09:43 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
walter: Patch_Available+


Attachments
Patch für die (3.0)/univention-samba/conffiles/etc/samba/smb.conf.d/01univention-samba_main (263 bytes, patch)
2011-10-24 12:20 CEST, Lukas Walter
Details | Diff
Korrigierter Patch (2.14 KB, patch)
2011-10-24 16:48 CEST, Lukas Walter
Details | Diff
Abermals angepasster Patch. (2.14 KB, patch)
2011-10-24 17:07 CEST, Lukas Walter
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2011-10-24 11:01:05 CEST
Ticket#: 2011053110000545 
Ticket#: 2011102421003249

Aus der log.smbd:
---
2011/05/31 10:50:38.822505,  0] smbd/notify_inotify.c:294(inotify_setup)
   Failed to init inotify - Too many open files
---

bzw.
---
[2011/10/24 10:48:45.016578,  0] smbd/notify_inotify.c:294(inotify_setup)
    Failed to init inotify - Zu viele offene Dateien
---

Samba setzt die Limits beim Start selbst anhand der Konfigurationsoption "max open files" (minimal/default 16404).
# pgrep -f smbd | while read pid; do grep "open files" /proc/$pid/limits; done

Um das Limit zu verdoppeln kann die "/etc/samba/local.conf" erweitert werden:
 
[global]
   max open files = 32808
Comment 1 Lukas Walter univentionstaff 2011-10-24 12:20:47 CEST
Created attachment 3676 [details]
Patch für die (3.0)/univention-samba/conffiles/etc/samba/smb.conf.d/01univention-samba_main

Mit diesem Patch müsste die Datei /etc/samba/local.conf so angepasst sein, dass sie eine Zeile "max open files" enthält.
Comment 2 Lukas Walter univentionstaff 2011-10-24 16:48:05 CEST
Created attachment 3678 [details]
Korrigierter Patch
Comment 3 Lukas Walter univentionstaff 2011-10-24 17:07:19 CEST
Created attachment 3679 [details]
Abermals angepasster Patch.
Comment 4 Arvid Requate univentionstaff 2012-01-02 16:48:04 CET
univention-samba wurde mit dem Patch im Scope ucs3.0-1 neu gebaut.
Comment 5 Felix Botner univentionstaff 2012-02-10 11:37:17 CET
Da fehlt noch ein "="


params.c:Parameter() - Ignoring badly formed line in configuration file: max open files 3280811

Wird das für Samba4 auch benötigt?
Comment 6 Arvid Requate univentionstaff 2012-02-13 09:50:12 CET
Fixed. In Samba4 wurde der Parameter entfernt.
Comment 7 Felix Botner univentionstaff 2012-02-13 10:25:28 CET
ok
Comment 8 Sönke Schwardt-Krummrich univentionstaff 2012-03-04 14:34:23 CET
UCS 3.0-1 wurde veröffentlicht. Sollte der hier beschriebene Bug mit einer
neueren Version von UCS erneut auftreten, so sollte dieser Bug dupliziert
werden: "Clone This Bug"